Subject: [bug#40601] [PATCH 5/5] guix-install.sh: Check daemonize package presence for sysv-init.

From: Vincent Legoll <[email-masked]>
Date: Sun, 20 Dec 2020 18:28:39 +0100

* etc/guix-install.sh (chk_init_sys): Call `chk_require daemonize'.
---
 etc/guix-install.sh | 4 ++++
 1 file changed, 4 insertions(+)

diff --git a/etc/guix-install.sh b/etc/guix-install.sh
index 307c42d3fb..ecc86f3e76 100755
--- a/etc/guix-install.sh
+++ b/etc/guix-install.sh
@@ -153,6 +153,10 @@ chk_init_sys()
     elif /sbin/init --version 2>/dev/null | grep -q SysV; then
         _msg "${INF}init system is: sysv-init"
         INIT_SYS="sysv-init"
+        chk_require daemonize || {
+            _err "${ERR}Init system: sysv-init requires the 'daemonize' package."
+            exit 1
+        }
         return 0
     elif [[ $(openrc --version 2>/dev/null) =~ \(OpenRC\) ]]; then
         _msg "${INF}init system is: OpenRC"
-- 
2.29.2